#!/bin/bash

# Output the most recent observation.

currentPM=$(cat <<EOF | sqlite3 aqmonitor.db
select
  "Most Recent Observation of PM2.5: " || pm25Env || " on " || 
    strftime("%m-%d-%Y", date) ||
    " at " || strftime("%H:%M:%S", date)
from observations
where 
  id = (select max(id) from observations);
EOF
)

printf "%s\n" "${currentPM}"

cat <<EOF >aqCurrent.htm
${currentPM}
EOF

